Skip to Content

POST Shipments

Gebruik dit endpoint om een nieuwe shipment binnen een branch aan te maken.

Gebruikersniveau: Gevorderd

Endpoint

POST /v1/{scopeId}/shipments
EigenschapWaarde
MethodPOST
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:shipments:write
Content-Typeapplication/json
Request bodyJSON object

Toegestane createvelden

Veld
reference
status
account_id
pickup_date
delivery_date
weight
volume
comment

Voorbeeldrequest

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/shipments" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "reference": "SHP-2025-001", "status": "planned", "pickup_date": "2025-01-20", "delivery_date": "2025-01-21", "weight": 1250 }'

Voorbeeldresponse

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440031", "reference": "SHP-2025-001", "status": "planned", "weight": 1250 }, "version": "v1" }
Last updated on